package com.persagy.apm.alarmservice.project.alarmruleobjrel.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author lixing
 * @version V1.0 2021-09-08 22:46:37
 */
@Data
@ApiModel(value = "更新项目报警规则与监测对象的关联入参")
public class UpdateAlarmItemDTO {
    
    @ApiModelProperty(value = "报警对象ID", required = true)
    @NotNull(message = "报警对象名称不能为空") // todo 更新校验规则
    private String objId;

    @ApiModelProperty(value = "报警对象ID", required = true)
    @NotNull(message = "报警对象名称不能为空") // todo 更新校验规则
    private String objName;
    
}
